GET/shops/status/{shopId}

Get Shop Status

This endpoint is used to check the status of a shop by its ID.
GET/shops/status/{shopId}

Important Notes

The shopId must be a valid integer.

Parameter Details

NameInTypeRequiredDescription
shopIdpathintegerRequiredThe ID of the shop to retrieve.

Responses

StatusMeaningDescriptionSchema
200OKSuccess
400Bad RequestBad RequestNone
401UnauthorizedUnauthorizedNone
403ForbiddenForbidden - Access deniedNone
500Internal Server ErrorInternal Server ErrorNone

Example Request

# You can also use wget
curl -X GET /shops/status/{shopId} \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

200 Response
{
  "shopId": 0,
  "createdDate": "2025-05-29 13:00:00",
  "completedDate": "2025-05-29 13:15:00",
  "status": "completed"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.